Subject: Stanley-Bostitch vs Senco nailers

From: [email-masked] (Steve Zuromski)
Date: Wed, 02 Apr 1997 16:22:39 GMT

I'm a hobbist and I've been struggling with a decision over which
brand brad and finish nailer to buy.  The price of the PC brand is
tempting but I've always been skeptical of products made overseas.
Although the PC units appear to be well made, I wonder how well they
will hold up.  I've also heard a complaint of multi-firing. I
generally prefer the quality of USA-made and will most often go that
way when decision time comes.
Now I'm stuck between Stanley-Bostitch and Senco.  Everyone seems to
think Senco is the best, but IMHO the quality of their $259 brad
nailer appears substandard.  The same nailer in S-B only costs $167;
then drop down to the PC at $98.
I realize that you generally get what you pay for but it really looks
to me like Senco is way over priced or am I paying a lot more for the
oil-less feature?
After I buy a 5/8 - 1 1/4 brad nailer I need to get a finish nailer.
Can anyone offer advice on which brand and price range I should go
with?